> ## Documentation Index
> Fetch the complete documentation index at: https://agno-v2-codex-docs-audit-20260719-0149.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream Message Workflow

> Stream a message to an Agno Workflow. Anonymous requests can set `X-User-ID` or `params.message.metadata.userId` for attribution. Authenticated requests use the identity from the credential. The response is a server-sent event stream.



## OpenAPI

````yaml /reference-api/openapi.yaml post /a2a/workflows/{id}/v1/message:stream
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.7.4
servers: []
security: []
paths:
  /a2a/workflows/{id}/v1/message:stream:
    post:
      tags:
        - A2A
      summary: Stream Message Workflow
      description: >-
        Stream a message to an Agno Workflow. Anonymous requests can set
        `X-User-ID` or `params.message.metadata.userId` for attribution.
        Authenticated requests use the identity from the credential. The
        response is a server-sent event stream.
      operationId: stream_message_workflow
      parameters:
        - name: id
          in: path
          required: true
          schema:
            title: Id
            type: string
        - name: X-User-ID
          in: header
          required: false
          schema:
            type: string
          description: >-
            Optional user ID for anonymous attribution. Authenticated requests
            use the identity from the credential.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendStreamingMessageRequest'
      responses:
        '200':
          description: Streaming response with task updates
          content:
            text/event-stream:
              example: >+
                event: TaskStatusUpdateEvent

                data:
                {"jsonrpc":"2.0","id":"request-123","result":{"taskId":"task-456","status":"working"}}


                event: Message

                data:
                {"jsonrpc":"2.0","id":"request-123","result":{"messageId":"msg-1","role":"agent","parts":[{"kind":"text","text":"Response"}]}}

              schema:
                type: string
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Workflow not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Run could not be started
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - {}
        - HTTPBearer: []
components:
  schemas:
    SendStreamingMessageRequest:
      description: Represents a JSON-RPC request for the `message/stream` method.
      properties:
        id:
          anyOf:
            - type: string
            - type: integer
          title: Id
        jsonrpc:
          const: '2.0'
          default: '2.0'
          title: Jsonrpc
          type: string
        method:
          const: message/stream
          default: message/stream
          title: Method
          type: string
        params:
          $ref: '#/components/schemas/A2ARequest_MessageSendParams'
      required:
        - id
        - params
      title: SendStreamingMessageRequest
      type: object
    UnauthenticatedResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error detail message
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
          description: Error code for categorization
      type: object
      required:
        - detail
      title: UnauthenticatedResponse
      example:
        detail: Unauthenticated access
        error_code: UNAUTHENTICATED
    ForbiddenResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error detail message
      type: object
      required:
        - detail
      title: ForbiddenResponse
      example:
        detail: Insufficient permissions
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InternalServerErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error detail message
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
          description: Error code for categorization
      type: object
      required:
        - detail
      title: InternalServerErrorResponse
      example:
        detail: Internal server error
        error_code: INTERNAL_SERVER_ERROR
    A2ARequest_MessageSendParams:
      description: >-
        Defines the parameters for a request to send a message to an agent. This
        can be used

        to create a new task, continue an existing one, or restart a task.
      properties:
        configuration:
          anyOf:
            - $ref: '#/components/schemas/A2ARequest_MessageSendConfiguration'
            - type: 'null'
          default: null
        message:
          $ref: '#/components/schemas/A2ARequest_Message'
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Metadata
      required:
        - message
      title: MessageSendParams
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    A2ARequest_MessageSendConfiguration:
      description: >-
        Defines configuration options for a `message/send` or `message/stream`
        request.
      properties:
        acceptedOutputModes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          title: Acceptedoutputmodes
        blocking:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Blocking
        historyLength:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Historylength
        pushNotificationConfig:
          anyOf:
            - $ref: '#/components/schemas/A2ARequest_PushNotificationConfig'
            - type: 'null'
          default: null
      title: MessageSendConfiguration
      type: object
    A2ARequest_Message:
      description: >-
        Represents a single message in the conversation between a user and an
        agent.
      properties:
        contextId:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Contextid
        extensions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          title: Extensions
        kind:
          const: message
          default: message
          title: Kind
          type: string
        messageId:
          title: Messageid
          type: string
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Metadata
        parts:
          items:
            $ref: '#/components/schemas/A2ARequest_Part'
          title: Parts
          type: array
        referenceTaskIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          title: Referencetaskids
        role:
          $ref: '#/components/schemas/A2ARequest_Role'
        taskId:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Taskid
        agentId:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Agent ID
          description: >-
            Target agent, team, or workflow ID for deprecated dynamic-dispatch
            endpoints.
      required:
        - messageId
        - parts
        - role
      title: Message
      type: object
    A2ARequest_PushNotificationConfig:
      description: >-
        Defines the configuration for setting up push notifications for task
        updates.
      properties:
        authentication:
          anyOf:
            - $ref: >-
                #/components/schemas/A2ARequest_PushNotificationAuthenticationInfo
            - type: 'null'
          default: null
        id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Id
        token:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Token
        url:
          title: Url
          type: string
      required:
        - url
      title: PushNotificationConfig
      type: object
    A2ARequest_Part:
      anyOf:
        - $ref: '#/components/schemas/A2ARequest_TextPart'
        - $ref: '#/components/schemas/A2ARequest_FilePart'
        - $ref: '#/components/schemas/A2ARequest_DataPart'
      title: Part
    A2ARequest_Role:
      type: string
      enum:
        - agent
        - user
      title: Role
      description: >-
        Identifies the sender of the message. `user` for the client, `agent` for
        the service.
    A2ARequest_PushNotificationAuthenticationInfo:
      description: Defines authentication details for a push notification endpoint.
      properties:
        credentials:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Credentials
        schemes:
          items:
            type: string
          title: Schemes
          type: array
      required:
        - schemes
      title: PushNotificationAuthenticationInfo
      type: object
    A2ARequest_TextPart:
      description: Represents a text segment within a message or artifact.
      properties:
        kind:
          const: text
          default: text
          title: Kind
          type: string
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Metadata
        text:
          title: Text
          type: string
      required:
        - text
      title: TextPart
      type: object
    A2ARequest_FilePart:
      description: >-
        Represents a file segment within a message or artifact. The file content
        can be

        provided either directly as bytes or as a URI.
      properties:
        file:
          anyOf:
            - $ref: '#/components/schemas/A2ARequest_FileWithBytes'
            - $ref: '#/components/schemas/A2ARequest_FileWithUri'
          title: File
        kind:
          const: file
          default: file
          title: Kind
          type: string
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Metadata
      required:
        - file
      title: FilePart
      type: object
    A2ARequest_DataPart:
      description: >-
        Represents a structured data segment (e.g., JSON) within a message or
        artifact.
      properties:
        data:
          additionalProperties: true
          title: Data
          type: object
        kind:
          const: data
          default: data
          title: Kind
          type: string
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Metadata
      required:
        - data
      title: DataPart
      type: object
    A2ARequest_FileWithBytes:
      description: >-
        Represents a file with its content provided directly as a base64-encoded
        string.
      properties:
        bytes:
          title: Bytes
          type: string
        mimeType:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Mimetype
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Name
      required:
        - bytes
      title: FileWithBytes
      type: object
    A2ARequest_FileWithUri:
      description: Represents a file with its content located at a specific URI.
      properties:
        mimeType:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Mimetype
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Name
        uri:
          title: Uri
          type: string
      required:
        - uri
      title: FileWithUri
      type: object
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````